About Application Compatibility

 
 
 

With each new AutoCAD-based product release, retest your custom applications to ensure they work correctly before rolling out the latest release to all users.

Third-party applications might need to be repurchased and in-house custom .NET and ObjectARX applications might need to be recompiled when upgrading. Changes to the AutoCAD application programming interfaces (APIs) occur with each release, but any major changes that might require any significant changes to custom programs are generally timed with the change in native drawing file formats.

ImportantStarting with AutoCAD 2014-based products, custom applications must work under secure mode; when the SECURELOAD system variable is set to 1 or 2. When operating under secure mode, the AutoCAD-based product is restricted to loading and executing files that contain code from trusted locations; trusted locations are specified by the TRUSTEDPATHS system variable. For more information, see About Protecting Against Malicious Code.

The following table lists the .NET and ObjectARX SDKs that are supported with the corresponding AutoCAD release.

AutoCAD Release Supported .NET and ObjectARX SDK .NET Framework
AutoCAD 2014 AutoCAD 2013, AutoCAD 2014 4.0
AutoCAD 2013 AutoCAD 2013 4.0
AutoCAD 2012 AutoCAD 2010, AutoCAD 2011, AutoCAD 2012 3.51 SP1
AutoCAD 2011 AutoCAD 2010, 2011 3.51 SP1
AutoCAD 2010 AutoCAD 2010 3.51 SP1
AutoCAD 2009 AutoCAD 2007, AutoCAD 2008, AutoCAD 2009 3.0
AutoCAD 2008 AutoCAD 2007, AutoCAD 2008 2.0
AutoCAD 2007 AutoCAD 2007 2.0
AutoCAD 2006 AutoCAD 2004, AutoCAD 2005, AutoCAD 2006 1.1 SP1
AutoCAD 2005 AutoCAD 2004, AutoCAD 2005 1.1
AutoCAD 2004 AutoCAD 2004 N/A

The following resources can be helpful in determining the changes to the APIs that might impact your custom programs: